CON
  _CLKMODE = xtal1 + pll16x
  _XINFREQ = 5_000_000 
     
OBJ
  psg1 : "PropellerSignalGenerator"
  psg2 : "PropellerSignalGenerator"
  psg3 : "PropellerSignalGenerator"
  psg4 : "PropellerSignalGenerator"
  psg5 : "PropellerSignalGenerator"
  psg6 : "PropellerSignalGenerator"
  psg7 : "PropellerSignalGenerator"

PUB main | i

  'Start "Propeller Signal Generator" and output signal on pin 16..23
  psg1.startE(16)
  psg2.startE(17)
  psg3.startE(18)
  psg4.startE(19)
  psg5.startE(20)
  psg6.startE(21)
  psg7.startS(22,23)

  psg1.setParameters(psg1#SQUARE, 0, 0, psg1#PW50)
  psg2.setParameters(psg1#SQUARE, 0, 0, psg1#PW50)
  psg3.setParameters(psg1#SQUARE, 0, 0, psg1#PW50)
  psg4.setParameters(psg1#SQUARE, 0, 0, psg1#PW50)
  psg5.setParameters(psg1#SQUARE, 0, 0, psg1#PW50)
  psg6.setParameters(psg1#SQUARE, 0, 0, psg1#PW50)
  psg7.setParameters(psg1#SQUARE, 0, 0, psg1#PW50)

  psg1.setFrequencyCentiHertz(    2000)
  psg2.setFrequencyCentiHertz(    2100)
  psg3.setFrequencyCentiHertz(    2200)
  psg4.setFrequencyCentiHertz(    2300)
  psg5.setFrequencyCentiHertz(    2400)
  psg6.setFrequencyCentiHertz(    2500)
  psg7.setFrequencyCentiHertz(    2600)

